Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl
Class DomainManagerServiceImpl

    java.lang.Object
      org.droolsjbpm.services.impl.DomainManagerServiceImpl

All Implemented Interfaces:
  DomainManagerService

    @ApplicationScoped
    public class DomainManagerServiceImpl

extends Object
implements DomainManagerService

Constructor Summary
`DomainManagerServiceImpl()`

Method Summary
`protected void` | `addProcessDefinitionToDomain(String domainName, String processId)`
`void` | `clearDomains()`
`protected Map<String,Domain>` | `discoverDomains(Organization organization, String location)`
`List<Domain>` | `getAllDomains()`
`List<Domain>` | `getAllDomainsByOrganization(long organizationId)`
`List<Organization>` | `getAllOrganizations()`
`Domain` | `getDomainById(long domainId)`
`Domain` | `getDomainByName(String domainName)`
`Map<String,org.kie.internal.runtime.manager.RuntimeManager>` | `getDomainsMap()`
`Organization` | `getOrganizationById(long organizationId)`
`Collection<ProcessDesc>` | `getProcessesByDomainName(String domainName)`
`org.kie.internal.runtime.manager.RuntimeManager` | `getRuntimesByDomain(String domainName)`
`void` | `initDomain(long domainId)`
`void` | `initOrganization(long organizationId)`
`void` | `removeDomain(long domainId)`
`void` | `removeOrganization(long organizationId)`
`void` | `setPm(JbpmServicesPersistenceManager pm)`
`long` | `storeDomain(Domain domain)`
`long` | `storeOrganization(Organization organization)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainManagerServiceImpl

    public DomainManagerServiceImpl()

Method Detail

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### getAllDomains

    public List<Domain> getAllDomains()

  Specified by:
    `getAllDomains` in interface `DomainManagerService`

### getAllDomainsByOrganization

    public List<Domain> getAllDomainsByOrganization(long organizationId)

  Specified by:
    `getAllDomainsByOrganization` in interface `DomainManagerService`

### getDomainByName

    public Domain getDomainByName(String domainName)

  Specified by:
    `getDomainByName` in interface `DomainManagerService`

### storeDomain

    public long storeDomain(Domain domain)

  Specified by:
    `storeDomain` in interface `DomainManagerService`

### removeDomain

    public void removeDomain(long domainId)

  Specified by:
    `removeDomain` in interface `DomainManagerService`

### getAllOrganizations

    public List<Organization> getAllOrganizations()

  Specified by:
    `getAllOrganizations` in interface `DomainManagerService`

### storeOrganization

    public long storeOrganization(Organization organization)

  Specified by:
    `storeOrganization` in interface `DomainManagerService`

### removeOrganization

    public void removeOrganization(long organizationId)

  Specified by:
    `removeOrganization` in interface `DomainManagerService`

### getOrganizationById

    public Organization getOrganizationById(long organizationId)

  Specified by:
    `getOrganizationById` in interface `DomainManagerService`

### getDomainById

    public Domain getDomainById(long domainId)

  Specified by:
    `getDomainById` in interface `DomainManagerService`

### initOrganization

    public void initOrganization(long organizationId)

  Specified by:
    `initOrganization` in interface `DomainManagerService`

### initDomain

    public void initDomain(long domainId)

  Specified by:
    `initDomain` in interface `DomainManagerService`

### addProcessDefinitionToDomain

    protected void addProcessDefinitionToDomain(String domainName,
                                                String processId)

### discoverDomains

    protected Map<String,Domain> discoverDomains(Organization organization,
                                                 String location)

### getProcessesByDomainName

    public Collection<ProcessDesc> getProcessesByDomainName(String domainName)

  Specified by:
    `getProcessesByDomainName` in interface `DomainManagerService`

### getDomainsMap

    public Map<String,org.kie.internal.runtime.manager.RuntimeManager> getDomainsMap()

  Specified by:
    `getDomainsMap` in interface `DomainManagerService`

### getRuntimesByDomain

    public org.kie.internal.runtime.manager.RuntimeManager getRuntimesByDomain(String domainName)

  Specified by:
    `getRuntimesByDomain` in interface `DomainManagerService`

### clearDomains

    public void clearDomains()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.